%define momorel 2
Summary: Tk-TableMatrix module for perl (/home/t/SOURCES)
Name: perl-Tk-TableMatrix
Version: 1.22
Release: %{momorel}m
License: GPL
Group: Development/Languages
%NoSource 0 http://www.cpan.org/modules/by-module/Tk/Tk-TableMatrix-%{version}.tar.gz e1d858c0a01847fe2f04271d98918146
Patch0: Tk-TableMatrix-1.01-lib64.patch
URL: http://www.cpan.org/modules/by-module/Tk/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: perl >= 5.8.1

%description
Tk-TableMatrix module for perl

%prep
%setup -q -n Tk-TableMatrix-%{version} 
%if %{_lib} == "lib64"
%patch0 -p1 -b .lib64~
%endif

%build
CFLAGS="%{optflags}" perl Makefile.PL
make
# make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_sitearch}/auto/Tk/TableMatrix/.packlist
# delete duplicate file with perl-Tk
rm -f %{buildroot}%{perl_sitearch}/auto/Tk/pTk/extralibs.ld

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Tk-TableMatrix-%{version}-filelist
if [ "$(cat Tk-TableMatrix-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Tk-TableMatrix-%{version}-filelist
%defattr(-,root,root)
%doc Changes COPYING README*

%changelog
* Sun Jun 11 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.22-2m)
- delete duplicate file with perl-Tk

* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.22-1m)
- update to 1.22

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2-2m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2-1m)
- version up to 1.2
- built against perl-5.8.7

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.01-5m)
- enable x86_64.

* Tue Feb  8 2005 Toru Hoshina <t@momonga-linux.org>
- (1.01-4m)
- make test doesn't necessary.

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.01-3m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.01-2m)
- remove Epoch from BuildPrereq

* Wed May 26 2004 Toru Hoshina <t@momonga-linux.org>
- (1.01-1m)
- spec file was autogenerated
